summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /media-sound/justeport
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'media-sound/justeport')
-rw-r--r--media-sound/justeport/Manifest1
-rw-r--r--media-sound/justeport/files/wrapper-script3
-rw-r--r--media-sound/justeport/justeport-0.2.ebuild39
-rw-r--r--media-sound/justeport/metadata.xml5
4 files changed, 48 insertions, 0 deletions
diff --git a/media-sound/justeport/Manifest b/media-sound/justeport/Manifest
new file mode 100644
index 000000000000..6b772982ef03
--- /dev/null
+++ b/media-sound/justeport/Manifest
@@ -0,0 +1 @@
+DIST JustePort-0.2.tar.gz 16181 RMD160 385ef76c5cac47fad66e1a40c520484ee6e0356e SHA1 8d83daeb636ff40a4b27808c6e94599d5d557220 SHA256 5576bae0da54cb1ecf384bfbafaabbd19e5933bfafb77a4dbc0b69f143381b0a
diff --git a/media-sound/justeport/files/wrapper-script b/media-sound/justeport/files/wrapper-script
new file mode 100644
index 000000000000..29378dc6fccc
--- /dev/null
+++ b/media-sound/justeport/files/wrapper-script
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exec mono /usr/LIBDIR/justeport/JustePort.exe "$@"
diff --git a/media-sound/justeport/justeport-0.2.ebuild b/media-sound/justeport/justeport-0.2.ebuild
new file mode 100644
index 000000000000..8382a6dcedfc
--- /dev/null
+++ b/media-sound/justeport/justeport-0.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+inherit mono multilib
+
+MY_P=JustePort-${PV}
+
+DESCRIPTION="Stream audio to your AirPort Express"
+HOMEPAGE="http://nanocrew.net/software/justeport/"
+SRC_URI="http://nanocrew.net/sw/justeport/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="dev-lang/mono"
+RDEPEND="${DEPEND}"
+
+S=${WORKDIR}/${MY_P}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ cp "${FILESDIR}"/wrapper-script .
+ sed -i -e "s:LIBDIR:$(get_libdir):" wrapper-script || die "sed failed."
+}
+
+src_compile() {
+ emake || die "emake failed."
+}
+
+src_install() {
+ insinto /usr/$(get_libdir)/justeport
+ doins *.exe || die "doins failed."
+ newbin wrapper-script justeport || die "newbin failed."
+ dodoc AUTHORS ChangeLog README THANKS
+}
diff --git a/media-sound/justeport/metadata.xml b/media-sound/justeport/metadata.xml
new file mode 100644
index 000000000000..ae573a60407f
--- /dev/null
+++ b/media-sound/justeport/metadata.xml
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sound</herd>
+</pkgmetadata>